%define name gnuchess
%define version 5.06
%define release 2mdk
%define Summary The GNU chess program.

Summary: %{Summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.gnu.org:/pub/gnu/chess/gnuchess-%{version}.tar.bz2
Group: Games/Boards
Url: http://www.gnu.org/software/chess/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
BuildRequires: readline-devel ncurses-devel
Provides: chessprogram

%description
The gnuchess package contains the GNU chess program.  By default, GNUchess
uses a curses text-based interface.  Alternatively, GNUchess can be used
in conjunction with the xboard user interface and the X Window System for
a graphical chessboard.

You should install the gnuchess package if you would like to play chess on
your computer.  You'll also need to install the curses package.  If you'd
like to use a graphical interface with GNUchess, you'll also need to
install the xboard package and the X Window System.

%prep
%setup -q

%build
%configure2_5x	--bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=strategy_section.png \
		needs="x11" \
		section="Amusement/Boards" \
		title="GNU Chess"\
		longtitle="%{Summary}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/README
%{_gamesbindir}/%{name}
%{_menudir}/%{name}

%changelog
* Mon Jul 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 5.06-2mdk
- move binary to %%{_Gamesbindir} (closes #4149)
- use %%make macro
- added menu item (used the strategy section icon since it's a chess board:)

* Thu Jun  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.06-1mdk
- new version

* Fri Mar  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.05-1mdk
- new version (fixes #2871)

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.04-2mdk
- rebuild for new readline

* Mon Apr  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 5.04-1mdk
- new version
- spec cleanup, use our macros
- fix no-url-tag
- fix obsolete-tag Copyright
- fix use-of-RPM_SOURCE_DIR
- fix update-menus-*

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 4.0.pl80-6mdk
- rebuild for cooker

* Sat Sep 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 4.0.p180-5mdk
- BM
- macro's
- compress & strip files with spec helper
- use update_menus and clean_menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.pl80-4mdk
- automatically added BuildRequires

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-3mdk
- added menu files

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-2mdk
- changes in spec file for groups
- considered upgrading to version 5.00 (now renamed to chess-5.00)
- but this would have taken away some features (x, curses, etc).
  
* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 4.0pl80.
- provide chessprogram, don't require xboard.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
